# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: eros/api/user.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from eros.api import profile_pb2 as eros_dot_api_dot_profile__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='eros/api/user.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x13\x65ros/api/user.proto\x12\x07weclikd\x1a\x16\x65ros/api/profile.proto\")\n\x04User\x12!\n\x07profile\x18\x02 \x01(\x0b\x32\x10.weclikd.Profileb\x06proto3'
  ,
  dependencies=[eros_dot_api_dot_profile__pb2.DESCRIPTOR,])




_USER = _descriptor.Descriptor(
  name='User',
  full_name='weclikd.User',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='profile', full_name='weclikd.User.profile', index=0,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=56,
  serialized_end=97,
)

_USER.fields_by_name['profile'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
DESCRIPTOR.message_types_by_name['User'] = _USER
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

User = _reflection.GeneratedProtocolMessageType('User', (_message.Message,), {
  'DESCRIPTOR' : _USER,
  '__module__' : 'eros.api.user_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.User)
  })
_sym_db.RegisterMessage(User)


# @@protoc_insertion_point(module_scope)
